Subject: bug#21565: 25.0.50; ediff-regions-wordwise fails on latex files

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Sep 2015 10:52:23 +0300

> From: Uwe Brauer <[email-masked]>
> Date: Fri, 25 Sep 2015 21:49:06 +0200
> 
> I am runnning auctex for my latex files but when I executed
> ediff-regions-wordwise, I was asked for two buffers, when I selected
> and selected the text in the first buffer, executing then
> exit-recursive-edit as indicated I was faced with an error I attach
> 
> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>   redisplay--update-region-highlight(#<window 24 on section-0005-rev-1.5.tex-Region.B->)
>   run-hook-with-args(redisplay--update-region-highlight #<window 24 on section-0005-rev-1.5.tex-Region.B->)
>   redisplay--pre-redisplay-functions(t)
>   apply(redisplay--pre-redisplay-functions t)

I cannot reproduce this in "emacs -Q" with today's Git master.  Does
this happen to you in "emacs -Q" with any 2 buffers, not necessarily
in AUC TeX mode?  Or is AUC TeX a necessary part of this problem?  (I
tried 2 buffers in C Mode.)

Also, you seem to have a private jit-lock package:

  /home/oub/emacs/jit-lock hides /opt/emacs25/share/emacs/25.0.50/lisp/jit-lock

which perhaps could be part of this problem.

In general, the error seems to indicate one of the regions was absent
(so no mark in that buffer), so presenting a detailed sequence of
commands and keystrokes leading to the problem might also shed some
light on this.  (Reporting the bug immediately after it happened and
from the same Emacs session would have captured your last keystrokes
and included them in the report.)

Thanks.